<div class="flex flex-col md:flex-row" [style.maxHeight.px]="maxContentHeight">
    <!-- Params of the search for monster drop : visible by default on mobile -->
    <div class="w-full overflow-x-visible overflow-y-scroll border-gray-700 md:w-5/12 pr-5" [style.maxHeight.px]="maxContentHeight" [hidden]="showSearchPanel === false">
        <div class="flex noselect mb-5">
            <div appTabHeader groupName="mzRequestParams" targetTabName="general" class="px-5 py-1 w-full text-center active">{{ 'GENERAL' | translate }}</div>
            <div appTabHeader groupName="mzRequestParams" targetTabName="areas" class="px-5 py-1 w-full text-center">{{ 'AREAS' | translate }}</div>
            <div appTabHeader groupName="mzRequestParams" targetTabName="monsters" class="px-5 py-1 w-full text-center">{{ 'MONSTERS' | translate }}</div>
        </div>

        <div group-name="mzRequestParams" tab-name="general" class="active" app-general-filters></div>
        <div group-name="mzRequestParams" tab-name="areas" class="flex flex-col" app-zone-filters></div>
        <div group-name="mzRequestParams" tab-name="monsters" class="flex flex-col" app-monster-filters></div>

        <app-button [text]="'SEARCH' | translate" cssClass="w-full" (click)="onSearchDropRequest()"></app-button>
    </div>
    <!-- Result right side : hidden by default on mobile -->
    <div class="w-full md:w-7/12 flex-col justify-between" [style.maxHeight.px]="maxContentHeight" [ngClass]="{ 'flex': showResultsPanel === true }" [hidden]="showResultsPanel === false">
        <div class="w-full overflow-y-scroll grow" (scroll)="onScroll($event)" [ngClass]="{ 'flex justify-center items-center': maDropRequest.isLoading === true }">
            <app-loader [hidden]="maDropRequest.isLoading === false" class=" m-auto"></app-loader>
            <app-monster-profitability-result class="list-item" *ngFor="let monster of maDropRequest.monsterResults" [monster]="monster" ></app-monster-profitability-result>
            <app-area-profitability-result class="list-item" *ngFor="let area of maDropRequest.areaResults" [area]="area"></app-area-profitability-result>
        </div>
        <div class="flex justify-center items-center w-full">
            <app-loader [hidden]="maDropRequest.isLoadingPage === false"></app-loader>
        </div>
    </div>
</div>